package com.emitrom.pilot.maps.client.layers;

import com.emitrom.pilot.core.shared.client.core.JsoHelper;
import com.emitrom.pilot.maps.client.GMap;
import com.emitrom.pilot.maps.client.core.MVCObject;
import com.google.gwt.core.client.JavaScriptObject;

public class FusionTablesLayer extends MVCObject {

    public FusionTablesLayer() {
        jsObj = createPeer();
    }

    public FusionTablesLayer(FusionTablesLayerOptions options) {
        this();
        this.setOptions(options);
    }

    public void setOptions(FusionTablesLayerOptions options) {
        JsoHelper.setAttribute(jsObj, "options", options.getJsObj());
    }

    public native void setMap(GMap map)/*-{
		var obj = this.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
		obj
				.setMap(map.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()());
    }-*/;

    public native GMap getMap()/*-{
		var obj = this.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
		var map = obj.getMap();
		return @com.emitrom.pilot.maps.client.GMap::new(Lcom/google/gwt/core/client/JavaScriptObject;)(obj);
    }-*/;

    public native void addClickHandler(FusionTablesClickHandler handler)/*-{
		var obj = this.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
		$wnd.google.maps.event
				.addListener(
						obj,
						'click',
						function(e) {
							var event = @com.emitrom.pilot.maps.client.layers.FusionTablesMouseEvent::new(Lcom/google/gwt/core/client/JavaScriptObject;)(e);
							handler.@com.emitrom.pilot.maps.client.layers.FusionTablesClickHandler::onFusionTablesClick(Lcom/emitrom/pilot/maps/client/layers/FusionTablesMouseEvent;)(event);
						});
    }-*/;

    private native JavaScriptObject createPeer()/*-{
		return new $wnd.google.maps.FusionTablesLayer();
    }-*/;

}
