package com.emitrom.pilot.maps.client.layers;

import java.util.Arrays;
import java.util.List;

import com.emitrom.pilot.core.shared.client.core.JsObject;
import com.emitrom.pilot.core.shared.client.core.JsoHelper;
import com.emitrom.pilot.maps.client.GMap;
import com.google.gwt.core.client.JavaScriptObject;

public class FusionTablesLayerOptions extends JsObject {

    public FusionTablesLayerOptions() {
        jsObj = JsoHelper.createObject();
    }

    public void setClickable(boolean value) {
        JsoHelper.setAttribute(jsObj, "clickable", value);
    }

    public void setMap(GMap map) {
        JsoHelper.setAttribute(jsObj, "map", map.getJsObj());
    }

    public void setSuppressInfoWindow(boolean value) {
        JsoHelper.setAttribute(jsObj, "suppressInfoWindow", value);
    }

    public void setHeatmap(FusionTablesHeatmap heatMap) {
        JsoHelper.setAttribute(jsObj, "fusionsTablesHeatmap", heatMap.getJsObj());
    }

    public void setQuery(FusionTablesQuery query) {
        JsoHelper.setAttribute(jsObj, "fusionsTablesQuery", query.getJsObj());
    }

    public void setStyles(List<FusionTablesStyle> styles) {
        JavaScriptObject peers = JsoHelper.createJavaScriptArray();
        for (int i = 0; i < styles.size(); i++) {
            JsoHelper.setArrayValue(peers, i, styles.get(i).getJsObj());
        }
        JsoHelper.setAttribute(peers, "styles", peers);
    }

    public void setStyles(FusionTablesStyle... fusionTablesStyles) {
        setStyles(Arrays.asList(fusionTablesStyles));
    }

}
