package com.emitrom.pilot.maps.client.layers;

import com.emitrom.pilot.core.shared.client.core.Function;
import com.emitrom.pilot.core.shared.client.core.JsoHelper;
import com.emitrom.pilot.maps.client.GMap;
import com.emitrom.pilot.maps.client.core.MVCObject;
import com.google.gwt.core.client.JavaScriptObject;

public class KmlLayer extends MVCObject {

    public KmlLayer() {
        jsObj = createPeer();
    }

    public KmlLayer(KmlLayerOptions options) {
        this();
        this.setOptions(options);
    }

    public void setOptions(KmlLayerOptions options) {
        JsoHelper.setAttribute(jsObj, "options", options.getJsObj());
    }

    public native void setMap(GMap map)/*-{
		var obj = this.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
		obj
				.setMap(map.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()());
    }-*/;

    public native GMap getMap()/*-{
		var obj = this.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
		var map = obj.getMap();
		return @com.emitrom.pilot.maps.client.GMap::new(Lcom/google/gwt/core/client/JavaScriptObject;)(obj);
    }-*/;

    public native void addClickHandler(KmlClickHandler handler)/*-{
		var obj = this.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
		$wnd.google.maps.event
				.addListener(
						obj,
						'click',
						function(e) {
							var event = @com.emitrom.pilot.maps.client.layers.KmlMouseEvent::new(Lcom/google/gwt/core/client/JavaScriptObject;)(e);
							handler.@com.emitrom.pilot.maps.client.layers.KmlClickHandler::onKmlClick(Lcom/emitrom/pilot/maps/client/layers/KmlMouseEvent;)(event);
						});
    }-*/;

    public void addDefaultViewportChangedHandler(Function handler) {
        addEventListener("defaultviewport_changed", handler);
    }

    public void addStatusChangedHandler(Function handler) {
        addEventListener("status_changed", handler);
    }

    private native JavaScriptObject createPeer()/*-{
		return new $wnd.google.maps.KmlLayer();
    }-*/;

}
