package com.emitrom.pilot.maps.client.libraries.adsense;

import com.emitrom.pilot.core.shared.client.core.JsObject;
import com.emitrom.pilot.core.shared.client.core.JsoHelper;
import com.emitrom.pilot.maps.client.GMap;
import com.emitrom.pilot.maps.client.controls.ControlPosition;

public class AdUnitOptions extends JsObject {

    public AdUnitOptions() {
        jsObj = JsoHelper.createObject();
    }

    public native void setBackgroundColor(String value)/*-{
		var obj = this.@com.emitrom.pilot.maps.client.libraries.adsense.AdUnit::adUnitImpl;
		obj.backgroundColor = value;
    }-*/;

    public native void setPublisherId(String value)/*-{
		var obj = this.@com.emitrom.pilot.maps.client.libraries.adsense.AdUnit::adUnitImpl;
		obj.publisherId = value;
    }-*/;

    public native void setBorderColor(String value)/*-{
		var obj = this.@com.emitrom.pilot.maps.client.libraries.adsense.AdUnit::adUnitImpl;
		obj.borderColor = value;
    }-*/;

    public native void setChannelNumber(String value)/*-{
		var obj = this.@com.emitrom.pilot.maps.client.libraries.adsense.AdUnit::adUnitImpl;
		obj.channelNumber = value;
    }-*/;

    public void setFormat(AdFormat format) {
        _setFormat(format.value());
    }

    public native void setMap(GMap value)/*-{
		var obj = this.@com.emitrom.pilot.maps.client.libraries.adsense.AdUnit::adUnitImpl;
		obj.map = value.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
    }-*/;

    public void setPosition(ControlPosition position) {
        _setPosition(position.getValue());
    }

    public native void setTextColor(String value)/*-{
		var obj = this.@com.emitrom.pilot.maps.client.libraries.adsense.AdUnit::adUnitImpl;
		obj.textColor = value;
    }-*/;

    public native void setUrlColor(String value)/*-{
		var obj = this.@com.emitrom.pilot.maps.client.libraries.adsense.AdUnit::adUnitImpl;
		obj.urlColor = value;
    }-*/;

    public native void setTitleColor(String value)/*-{
		var obj = this.@com.emitrom.pilot.maps.client.libraries.adsense.AdUnit::adUnitImpl;
		obj.titleColor = value;
    }-*/;

    private native void _setFormat(String value)/*-{
		var obj = this.@com.emitrom.pilot.maps.client.libraries.adsense.AdUnit::adUnitImpl;
		obj.format = value;
    }-*/;

    private native void _setPosition(String value)/*-{
		var obj = this.@com.emitrom.pilot.maps.client.libraries.adsense.AdUnit::adUnitImpl;
		obj.position = value;
    }-*/;

}
