package com.emitrom.pilot.maps.client.libraries.geometry;

import com.emitrom.pilot.maps.client.base.LatLng;
import com.emitrom.pilot.maps.client.overlays.Polygon;
import com.emitrom.pilot.maps.client.overlays.Polyline;

/**
 * Utility functions for computations involving polygons and polylines.
 * 
 */
public class Poly {

    private Poly() {

    }

    /**
     * Computes whether the given point lies inside the specified polygon.
     */
    public static native boolean containsLocation(LatLng point, Polygon polygon)/*-{
		return $wnd.google.maps.geometry.poly
				.containsLocation(
						point.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()(),
						polygon.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()());
    }-*/;

    /**
     * Computes whether the given point lies on or near to a polyline, or the
     * edge of a polygon, within a specified tolerance. Returns true when the
     * difference between the latitude and longitude of the supplied point, and
     * the closest point on the edge, is less than the tolerance. The tolerance
     * defaults to 10-9 degrees.
     */
    public static native boolean isLocationOnEdge(LatLng point, Polygon polygon)/*-{
		return $wnd.google.maps.geometry.poly
				.isLocationOnEdge(
						point.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()(),
						polygon.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()());
    }-*/;

    /**
     * Computes whether the given point lies on or near to a polyline, or the
     * edge of a polygon, within a specified tolerance. Returns true when the
     * difference between the latitude and longitude of the supplied point, and
     * the closest point on the edge, is less than the tolerance. The tolerance
     * defaults to 10-9 degrees.
     */
    public static native boolean isLocationOnEdge(LatLng point, Polygon polygon, double tolerance)/*-{
		return $wnd.google.maps.geometry.poly
				.isLocationOnEdge(
						point.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()(),
						polygon.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()(),
						tolerance);
    }-*/;

    /**
     * Computes whether the given point lies on or near to a polyline, or the
     * edge of a polygon, within a specified tolerance. Returns true when the
     * difference between the latitude and longitude of the supplied point, and
     * the closest point on the edge, is less than the tolerance. The tolerance
     * defaults to 10-9 degrees.
     */
    public static native boolean isLocationOnEdge(LatLng point, Polyline polyline)/*-{
		return $wnd.google.maps.geometry.poly
				.isLocationOnEdge(
						point.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()(),
						polyline.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()());
    }-*/;

    /**
     * Computes whether the given point lies on or near to a polyline, or the
     * edge of a polygon, within a specified tolerance. Returns true when the
     * difference between the latitude and longitude of the supplied point, and
     * the closest point on the edge, is less than the tolerance. The tolerance
     * defaults to 10-9 degrees.
     */
    public static native boolean isLocationOnEdge(LatLng point, Polyline polyline, double tolerance)/*-{
		return $wnd.google.maps.geometry.poly
				.isLocationOnEdge(
						point.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()(),
						polyline.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()(),
						tolerance);
    }-*/;

}
