/**
 * Copyright (c) 2013 Emitrom LLC. All rights reserved. For licensing questions,
 * please contact us at licensing@emitrom.com
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.emitrom.pilot.maps.client.overlays;

import com.emitrom.pilot.core.shared.client.core.JsObject;
import com.emitrom.pilot.core.shared.client.core.JsoHelper;
import com.google.gwt.core.client.JavaScriptObject;

public class IconSequence extends JsObject {

    public IconSequence() {
        jsObj = JsoHelper.createObject();
    }

    protected IconSequence(JavaScriptObject obj) {
        super(obj);
    }

    public native void setIcon(Symbol value)/*-{
		var jso = this.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
		jso.icon = value.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
    }-*/;

    public native Symbol getIcon()/*-{
		var jso = this.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
		var obj = jso.icon;
		return @com.emitrom.pilot.maps.client.overlays.Symbol::new(Lcom/google/gwt/core/client/JavaScriptObject;)(obj);
    }-*/;

    public native void setFixedRotation(boolean value)/*-{
		var jso = this.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
		jso.fixedRotation = value;
    }-*/;

    public boolean hasFixedRotation() {
        return JsoHelper.getAttributeAsBoolean(jsObj, "fixedRotation");
    }

    public native void setOffset(String value)/*-{
		var jso = this.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
		jso.offset = value;
    }-*/;

    public String getOffset() {
        return JsoHelper.getAttribute(jsObj, "offset");
    }

    public native void setRepeat(String value)/*-{
		var jso = this.@com.emitrom.pilot.core.shared.client.core.JsObject::getJsObj()();
		jso.repeat = value;
    }-*/;

    public String getRepeat() {
        return JsoHelper.getAttribute(jsObj, "repeat");
    }

}
