package com.emitrom.pilot.maps.client.services;

import com.emitrom.pilot.core.shared.client.core.JsObject;
import com.emitrom.pilot.core.shared.client.core.JsoHelper;
import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsDate;

/**
 * The TransitOptions object to be included in a DirectionsRequest when the
 * travel mode is set to TRANSIT.
 */
public class TransitOptions extends JsObject {

    protected TransitOptions(JavaScriptObject peer) {
        jsObj = peer;
    }

    public TransitOptions() {
        jsObj = JsoHelper.createObject();
    }

    public void setArrivalTime(JsDate value) {
        JsoHelper.setAttribute(jsObj, "arrivalTime", value);
    }

    public void setDepartureTime(JsDate value) {
        JsoHelper.setAttribute(jsObj, "departureTime", value);
    }

    public JsDate getArrivalTime() {
        return JsoHelper.getAttributeAsJavaScriptObject(jsObj, "arrivalTime").cast();
    }

    public JsDate getDepartureTime() {
        return JsoHelper.getAttributeAsJavaScriptObject(jsObj, "departureTime").cast();
    }
}
